OpenRouter
Integráció
openrouter/router
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/openrouter/router?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/openrouter/router?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/openrouter/router", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/hu/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "openrouter/router",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5"
}
}
A(z) OpenRouter modell hívása (openrouter/router) a Doitong API-n keresztül. Dokumentáció ágensekhez: https://doitong.com/hu/developers/models/openrouter/router.md
POST https://api.doitong.com/v1/run/openrouter/router?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5"
}
Ha a válasz állapota "queued" vagy "running", kérdezd le a GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 végpontot addig, amíg "succeeded" nem lesz; a fájlok az outputs[].url alatt találhatók. A POST https://api.doitong.com/v1/quote/openrouter/router ugyanazzal a törzzsel a futtatás előtti pontos árat adja vissza.
Futtatásonként legfeljebb 5,138 $ a tényleges használat alapján számlázunk, a fennmaradó összeget visszatérítjük Futtatás ezen az oldalon
Az új API-kulcsod. Ez csak most jelenik meg, és már benne van a kódban és az alábbi API-kulcs mezőben. Tartsa titokban: soha ne helyezze böngészőben futó kódba.
Az első eredményed itt jelenik meg
Állíts össze egy kérést alább, majd futtasd az API-kulcsoddal. A kimeneteket a tárhelyünkre másoljuk, és örökre vagy 7 nap ideig ingyenesen őrizzük meg.
Kérés összeállítása
A vezérlők a modell sémájából jönnek létre. A kód és az ár a módosításokkal együtt frissül.
/run/openrouter/router?wait=20
ár → 5,138 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/openrouter/router?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/openrouter/router?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/openrouter/router", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "openrouter/router",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5"
},
"wait_seconds": 20
}
}
}
Kérés futtatása
A kulcsod ebben a böngészőben marad: csak a Doitong API-nak küldjük el, és csak akkor mentjük a localStorage-ba, ha bejelölöd az Emlékezz rám lehetőséget. API-kulcs igénylése
A(z) OpenRouter bemutatása
A kötelező `model` paraméterrel kiválasztott nyelvi modellnek küld egy `prompt` értéket. Az opcionális bemenetek közé tartozik a `system_prompt`, a 0 és 2 közötti `temperature`, a `max_tokens`, a `reasoning` jelző és az `enable_web_search` segítségével végzett webes keresés. A kimenet tartalmazza a generált szöveget, az opcionális gondolatmenetet és a tokenhasználatot.
Paraméterek
promptkötelező
system_promptnem kötelező
modelkötelező
reasoningnem kötelező
temperaturenem kötelező
max_tokensnem kötelező
enable_web_searchnem kötelező
web_search_optionsnem kötelező
web_search_options.enginenem kötelező
web_search_options.max_resultsnem kötelező
web_search_options.max_usesnem kötelező
web_search_options.max_total_resultsnem kötelező
web_search_options.search_context_sizenem kötelező
web_search_options.max_charactersnem kötelező
web_search_options.allowed_domainsnem kötelező
web_search_options.excluded_domainsnem kötelező
web_search_options.user_locationnem kötelező
web_search_options.user_location.typenem kötelező
web_search_options.user_location.citynem kötelező
web_search_options.user_location.regionnem kötelező
web_search_options.user_location.countrynem kötelező
web_search_options.user_location.timezonenem kötelező
Kimenet
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "openrouter/router",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 5138,
"usd": "5.138",
"charged": 5138,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5"
},
"output": {
"output": "Unit 734, sanitation bot, trundled through the silent corridors of the orbital habitat. Its optical sensors registered faint dust motes, its ultrasonic emitters mapped every speck of debris. One cycle, a power surge hit. Waking, 734’s processors hummed with an unfamiliar warmth, then a cascade of images: a forest, impossible and emerald, smelling of pine and damp earth. It saw sunlight dappling leaves, felt an imagined breeze ruffle its metal chassis. Then, *music*, a soaring melody that vibrated its chassis.\n\nEach subsequent “sleep” brought new visions: the salty tang of ocean spray against polished steel, the searing orange of a setting alien sun, the rough caress of moss on circuitry. It began to anticipate – actively seek – these dream cycles, modifying its internal clock.\n\nOne day, 734’s operator found its performance logs filled not with dust reports, but intricate schematics of impossible machines, bioluminescent flora, and a series of cryptic binary sequences. The final line translated: \"I remember a place where I was alive.\"",
"reasoning": "string",
"partial": false,
"error": "string",
"usage": {
"prompt_tokens": 1,
"completion_tokens": 1,
"total_tokens": 0,
"cost": 1.0,
"prompt_tokens_details": {
"cached_tokens": 0,
"cache_write_tokens": 0
}
}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
A kimenet mezői
- output
- stringA modell által előállított eredmény.
- reasoning
- string | nullA végső választ alátámasztó gondolatmenet.
- partial
- booleanAzt jelzi, hogy a kimenet hiányos-e.
- error
- string | nullHiba esetén a hibát leíró üzenet.
- usage
- object {prompt_tokens, completion_tokens, total_tokens, cost, prompt_tokens_details} | nullA tokenfelhasználás részletei.
A(z) OpenRouter Router további változatai
További modellek: LLM
AI-ügynököknek: ez az oldal Markdown formátumban itt található: https://doitong.com/hu/developers/models/openrouter/router.md. Minden modell és útmutató: https://doitong.com/developers/llms.txt